import sys

from efs.common.encryption import export_key
from efs.client.files import SecurityError

def prompt_pubkey(label, key):
    sys.stderr.write("The server claims the RSA public key of %s is \n%s\n"
                     % (label, export_key(key)))
    sys.stderr.write("Is this correct (y/N)? ")
    answer = sys.stdin.readline()
    if answer.lower()[0] != "y":
        raise SecurityError("Incorrect public key")

